Name:           gen-oath-safe
Version:        0.10.0
Release:        1%{?dist}
Summary:        Script for generating HOTP/TOTP keys (and QR code)

License:        MIT
URL:            https://github.com/mcepl/gen-oath-safe
Source0: https://github.com/mcepl/gen-oath-safe/archive/%{version}/%{name}-%{version}.tar.gz
BuildArch:      noarch

Requires:       openssl qrencode file caca-utils python

%description
This script creates appropriate keys and QR codes for setting up custom
tokens.  It can create TOTP (time based) and HOTP (event based) tokens,
and provide textmode QR codes for loading into Google Authenticator.  It
can also provide the needed commands to prepare a Yubikey.

Only use this on a trusted system with an encrypted filesystem.  This
script was not designed to be used except by experienced users, so it is
not terribly user friendly.


%prep
%setup -q


%build
# nothing

%install
rm -rf $RPM_BUILD_ROOT
install -p -D %{name} $RPM_BUILD_ROOT%{_bindir}/%{name}


%files
%doc README.rst
%{_bindir}/%{name}



%changelog
* Thu Mar 10 2016 Matěj Cepl <mcepl@redhat.com> - 0.10.0-1
- New upstream update.

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Jun 06 2014 Matěj Cepl <mcepl@cepl.eu> - 0.9.0-1
- The first packaging attempt.
